<!DOCTYPE html>
<html lang="de">

	<head>
	
		<!-- Head besteht immer aus einem allgemeingültigen Teil (include) und einem auf die Seite ausgelegten Teil (description, keyword, title) -->

		<?php include("head.php");
		?>
		<meta name="description" content="Homepage mit einführenden Informationen zur Thematik der Website und zur Autorin"/>
		<meta name="keyword" content="Backen, Backrezepte"/>	

		<title>Backrezepte</title>

	</head>

	<body>

		<?php include("navigation.php");
		?>
		
		<!-- Nach der Navigationsleiste folgt immer ein Bild oder Bilder/GIFs in einer Reihe -->

		<figure>

			<img src="Home-Bild.jpg" alt="Collage von Gebäckstücken" width="100%" height="auto">
				
		</figure>
		
		<!-- Home und Kontakt beginnen mit einer alleinstehenden Überschrift -->

		<h1>Einführende Informationen zur Website und der Autorin</h1>

		<div class="Inhalte">
		
			<!-- Allgemeine Informationen zu den Inhalten der Website -->
		
			<p>Backen kann einfach sein, 
			allerdings erfordert es detaillierte Kenntnisse über Zutaten und Zubereitung. 
			Die Zubereitung verschiedener Gebäcke ist mit unterschiedlichem Zeitaufwand sowie Schwierigkeitsgrad verbunden. 
			Auf dieser Website finden sich einfache, schnell zuzubereitende und vor allem leckere Rezepte für Backwaren wieder.<br>
			Zur ersten Darstellung der Websiteinhalte ist unter diesem Absatz 
			eine tabellarische Übersicht der vorhandenen Rezepte inklusive allgemeiner Informationen zu diesen eingefügt.</p><br/>
			
				<!-- Übersicht der vorhandenen Rezepte (Tabelle) mit Datenbankbezug -->
			
				<?php
				include("datenbankanbindung.php");

				$sql = "SELECT r.Backware, ba.Backtemperatur, ba.Backzeit, be.Schwierigkeitsgrad, be.Nutzerbewertung
						FROM rezept r LEFT JOIN backvorgang ba ON r.Back_ID = ba.ID
									  LEFT JOIN bewertung be ON r.Bewertung_ID = be.ID"; 
				$query = mysqli_query($conn, $sql) or die (mysql_error($conn));
				?>
				
				<table>
				
					<tr>
					
						<th>Backware</th>
						<th>Backtemperatur</th>
						<th>Backzeit</th>
						<th>Schwierigkeitsgrad</th>
						<th>Nutzerbewertung</th>
					
					</tr>

				<?php
					while ($fetch = mysqli_fetch_assoc($query)) { 
						echo("<tr>"); 
							echo("<td>".$fetch['Backware'] ."</td>");
							echo("<td>".$fetch['Backtemperatur'] ."</td>");
							echo("<td>".$fetch['Backzeit'] ."</td>");
							echo("<td>".$fetch['Schwierigkeitsgrad'] ."</td>");
							echo("<td>".$fetch['Nutzerbewertung'] ."</td>");
						echo("</tr>");
					}
				echo("</table>");
				?>
		
			<br/>
			
			<!-- Allgemeine Informationen zur Autorin und Bezug zum Konzept und Quellcode -->
			
			<p>Erstellt wurde diese Website von Emelie Rademacher 
			im Rahmen einer Hausarbeit des Moduls Praktische Informatik 2
			des Studienganges Informationsmanagement an der Hochschule Hannover.
			Kontaktdaten sowie Matrikelnummer finden sich in der Fußzeile, auch Footer genannt, wieder.<br>
			Zur Verdeutlichung des Layouts ist direkt unter diesem Absatz das Konzept der Website in PDF-Format zum Herunterladen eingefügt.
			Ergänzt wird dieses durch den Quellcode in Form einer Zip-Datei.</p>

		</div>
		<div class="Inhalte">

			<a href="concept.pdf" class="Download">Konzept der Website</a>
			<a href="website.zip" class="Download">Quellcode der Website</a>
		
		</div>
	
		<?php include("footer.php");
		?>

	</body>

</html>