<!DOCTYPE html>
<html lang="de">

	<head>

		<!-- Head besteht immer aus einem allgemeingültigen Teil (include) und einem auf die Seite ausgelegten Teil (description, keyword, title) -->

		<?php include("head.php");
		?>
		<meta name="description" content="Allgemeine Informationen über die Bilder und Rezepte sowie ein Kontaktformular"/>
		<meta name="keyword" content="Bilder, Rezepte, Kontakt, Kontaktformular"/>	

		<title>Allgemeine Informationen & Kontakt</title>

	</head>

	<body>
	
		<?php include("navigation.php");
		?>

		<!-- Nach der Navigationsleiste folgt immer ein Bild oder Bilder/GIFs in einer Reihe -->

		<figure>
		
			<iframe src="https://giphy.com/embed/oGTr5RM0XotE0jBfVk" alt="GIF Teig herstellen" width="478" height="268" frameBorder="0"></iframe>
			<iframe src="https://giphy.com/embed/X4cht7JAUqPbACQj6F" alt="GIF Teig kneten" width="478" height="268" frameBorder="0"></iframe>
		
		</figure>
		
		<!-- Home und Kontakt beginnen mit einer alleinstehenden Überschrift -->
		
		<h1>Vielen Dank für den Besuch dieser Website</h1>
		
		<div class="Inhalte">
		
			<!-- Allgemeine Informationen zur Herkunft der Bilder/GIFs sowie Rezepte -->
		
			<p>Die auf der Website dargestellten Bilder und GIFs sind mit Creative Commons lizenizert. 
			Die Websiten, denen jene entnommen worden sind, finden sich unter diesem Absatz. 
			Ebenfalls aufgelistet sind die Websiten, auf denen die Rezepte zu finden sind, welche als Grundlagen der dargestellten Rezepte dienen.<br><br>
		
			<u>Quellen:</u><br>
			
			<b>Bilder</b> - pixabay.com<br>
			<b>GIFs</b> - giphy.com<br>
			<b>Rezept für Nussecken</b> - essen-und-trinken.de, einfachbacken.de<br>
			<b>Rezept für Schweineohren</b> - kitchenstories.com<br>
			<b>Rezept für Zimtschnecken</b> - essen-und-trinken.de, einfachbacken.de<br></p>
		
		</div>
			
		<div class="Kommentarsektor">
		
			<div class="Inhalt">
		
			<p>Für Fragen, Verbesserungsvorschläge und Feedback können Sie das anschließende Kontaktformular verwenden.</p>

			</div>
		
			<h1>Kontaktformular</h1>
			<br>

			<!-- Kontaktformular mit Name, Mail und Anliegen als Pflichtfelder sowie Geschlecht und Alter als freiwillige Angaben -->

			<form action="kontakt.php" method="post">
				
				<input type="text" name="name" placeholder="Name oder Alias">
				<br>
				<input type="text" name="mail" placeholder="E-Mail">
				<br><br>
				
					<div class="Radio">
						
						<!--Radio-Buttons für das Geschlecht-->	

						<p>Geschlecht auswählen:</p>						
						<input type="radio" name="gender" id="m" value="männlich"/>
						<label for="m">männlich</label>
						
						<input type="radio" name="gender" id="w" value="weiblich"/>
						<label for="w">weiblich</label>
						
						<input type="radio" name="gender" id="d" value="divers"/>
						<label for="d">divers</label>
						
					</div>
					<div class="Radio">
						
						<!--Radio-Buttons für das Alter-->
						
						<p>Altersklasse auswählen:</p>
						<input type="radio" name="age" id="young" value="<25"/>
						<label for="young"><25</label>
						
						<input type="radio" name="age" id="middle" value="25-60"/>
						<label for="middle">25 - 60</label>
						
						<input type="radio" name="age" id="old" value=">60"/>
						<label for="old">>60</label>
						
					</div>	
				
				
				<textarea name="anliegen" placeholder="Anliegen eingeben..."></textarea>
				<br>
				<button type="submit" name="submit">Abschicken</button>
			
			</form>

			<!-- Datenbankanbindung für das Kontaktformular, Daten nur speichern und nicht auf der Website darstellen -->

			<?php
			include("datenbankanbindung.php");

				$name = $_POST['name'];
				$mail = $_POST['mail'];
				$anliegen = $_POST['anliegen'];
				
				$gender = $_POST['gender'];
				$age = $_POST['age'];
			
			if ($name == "" or $mail == "" or $anliegen == ""){
				echo "<p style='font-family: Arvo, sans-serif;'
						'font-size: 10px;'
						'display: flex;'
						'text-align: center;'
						'justify-content: center;'
						'align-items: center;'><small>
						Nicht alle Pflichtfelder wurden ausgefüllt.</small></p><br>";
			} else {
				$kontakt = "INSERT INTO kontakt (name,mail,anliegen,gender,age) VALUES ('$name', '$mail', '$anliegen', '$gender', '$age');";
				$kontaktieren = mysqli_query($conn, $kontakt);

				if($kontaktieren = true) {
					echo "<p style='font-family: Arvo, sans-serif;'
						'font-size: 10px;'
						'display: flex;'
						'text-align: center;'
						'justify-content: center;'
						'align-items: center;'><small>
						Die Daten wurden erfolgreich übermittelt.</small></p><br>";
				} else {
					echo "<p style='font-family: Arvo, sans-serif;'
						'font-size: 10px;'
						'display: flex;'
						'text-align: center;'
						'justify-content: center;'
						'align-items: center;'><small>
						Die Daten wurden nicht übermittelt. Es liegt ein Fehler vor.</small></p><br>"; 
				}
			}
	
			mysqli_close($conn);
			?> 

		</div>

		<?php include("footer.php");
		?>

	</body>

</html>