<!DOCTYPE html>
<html lang="de">

	<head>

		<!-- Head besteht immer aus einem allgemeingültigen Teil (include) und einem auf die Seite ausgelegten Teil (description, keyword, title) -->

		<?php include("head.php");
		?>
		<meta name="description" content="Einfaches, schnell zuzubereitendes und leckeres Rezept für Nussecken"/>
		<meta name="keyword" content="Nussecken, Feingebäck, Dreieck"/>	

		<title>Nussecken-Rezept</title>

	</head>

	<body>
	
		<?php include("navigation.php");
		?>
		
		<!-- Nach der Navigationsleiste folgt immer ein Bild oder Bilder/GIFs in einer Reihe -->	
		<!-- Nur die Seiten mit den Rezepten besitzen eine Beschriftung -->
		
		<figure>
		
			<img src="Nussecken.jpg" alt="Bild von Nussecken" width="100%" height="auto">
			<figcaption>Nussecken</figcaption>
	
		</figure>
	
		<br/>
		
	<div class="Teilung">	
	
		<aside>
		
			<!-- In einem Kasten (rechts neben der Zubereitung) lassen sich die Zutaten je nach abgefragter Stückzahl einsehen -->
	
			<form action="" method="GET" id="form">
		
				<input type="text" name="menge" placeholder="Stückzahl eingeben..." value="">
				
					<br><br>
					<tr>
					<td>Zubereitung auswählen:</td>
					<td><select name="zu">
						<option value="Boden">Boden</option>
						<option value="Füllung">Füllung</option>
					</select></td>
					</tr>
					<br><br>
			
				<button type="submit" name="abschicken">Abfragen</button>
				<br><br>
			
			</form>

			<?php
			$zubereitung = $_GET['zu'];

			#Boden
			if (isset ($_GET['zu']) && $zubereitung =="Boden") {
				$stückzahl = $_GET['menge'];
	
				$mehl = $stückzahl * (28/3);
				$backpulver = $stückzahl * (1/32);
				$butter1 = $stückzahl * (17/4);
				$zucker1 = $stückzahl * (17/4);
				$ei = $stückzahl * (1/16);
				$marmelade = $stückzahl * (1/8);
	
				echo "<br/>Die Zutaten für den Boden lauten:";
				echo "<br><br>".$mehl;
				echo "g <b>Mehl</b>";
				echo "<br>".$backpulver;
				echo "TL <b>Backpulver</b>";
				echo "<br>".$butter1;
				echo "g <b>Butter</b>";
				echo "<br>".$zucker1;
				echo "g <b>Zucker</b>";
				echo "<br>".$ei;
				echo " <b>Eier</b> (Klasse M)";
				echo "<br>".$marmelade;
				echo "EL <b>Aprikosenmarmelade</b>";
			}

			#Füllung
			else if (isset ($_GET['zu']) && $zubereitung =="Füllung") {
				$stückzahl = $_GET['menge'];
	
				$butter2 = $stückzahl * (25/4);
				$zucker2 = $stückzahl * (25/4);
				$vanillezucker = $stückzahl * (1/16);
				$wasser = $stückzahl * (3/20);
				$haselnuss1 = $stückzahl * (25/4);
				$haselnuss2 = $stückzahl * (25/4);
				$schokolade = $stückzahl * (25/8);
	
				echo "</br>Die Zutaten für die Füllung lauten:";
				echo "<br><br>".$butter2;
				echo "g <b>Butter</b>";
				echo "<br>".$zucker2;
				echo "g <b>Zucker</b>";
				echo "<br>".$vanillezucker;
				echo " Pakete <b>Vanillezucker</b>";
				echo "<br>".$wasser;
				echo "EL <b>Wasser</b>";
				echo "<br>".$haselnuss1;
				echo "g (gemahlene) <b>Haselnüsse</b>";
				echo "<br>".$haselnuss2;
				echo "g (gehackte) <b>Haselnüsse</b>";
				echo "<br>".$schokolade;
				echo "g <b>Schokoladenkuvertüre</b> (Zartbitter)";
			}

			else {
				echo "Es wurde keine Stückzahl angegeben."; 
			}

			?>
	
		</aside>
		
		<!-- Zubereitung in Form einer Liste unterteilt in mehrere Schritte -->
		
		<ul class="Zubereitung">
		
			<h1>Zubereitung</h1>
			
			<br/>
			
			<li><i>Schritt 1</i>
			<br><br>
			<p>Für die Zubereitung des Bodens Mehl, Backpulver und Butter mit den Fingern verkneten. 
			Dann Zucker und Eier hinzufügen und mit dem Mixer (Knethaken) zu einem cremigen Teig verrühren.</p>
			<br><br>
		
			<li><i>Schritt 2</i>
			<br><br>
			<p>Das Backblech mit Backpapier auslegen und den Teig auf dem Backblech ausrollen. 
			Anschließend den Teig mit einer dünnen Schicht der Aprikosenmarmelade bestreichen.</p></li>
			<br><br>
			
			<li><i>Schritt 3</i>
			<br><br>
			<p>Für die Füllung die Butter mit dem Zucker, Vanillezucker und Wasser in einem Topf schmelzen lassen. 
			Die gemahlenen und gehackten Haselnüsse unterrühren und die Masse abkühlen lassen. 
			Daraufhin die Füllung gleichmäßig auf dem Teig verteilen.<br>
			Für die Nussmasse können alternativ auch andere Nusssorten verwendet werden, zum Beispiel Cashewkerne, Pekannüsse, Pinienkerne und Macadamianüsse.</p></li>
			<br><br>
			
			<li><i>Schritt 4</i>
			<br><br>
			<p>Die Nussecken im vorgeheizten Backofen für etwa 25 Minuten bei 175°C (Umluft) auf der mittleren Schiene backen.
			Nach dem Backen leicht abkühlen lassen und noch warm schneiden, zuerst in Rechtecke und anschließend in Dreiecke.</p></li>
			<br><br>
			
			<li><i>Schritt 5</i>
			<br><br>
			<p>Nach dem Schneiden vollständig abkühlen lassen und dann entweder die Ecken in geschmolzene Schokoladenkuvertüre tunken 
			oder die Konfitüre in parallelen Linien auf den Nussecken verteilen und auf einem Backpapier trocknen lassen.</p></li>
			<br><br>
			
			<li><i>Schritt 6</i>
			<br><br>
			<p>Die Nussecken werden luftdicht und kühl gelagert, zum Beispiel in Keksdosen. 
			So aufbewahrt hält sich das Gebäck für etwa 1 Woche.</p></li>
			<br><br>
		
		</ul>
	
	</div>
	
		<!-- Tabellarische Darstellung der Kommentare zu den einzelnen Rezepten mit Datenbankbezug (Daten speichern und wiedergeben) -->
	
		<?php 
		require_once 'n.php';?>

		<?php if (isset($_SESSION['kommentar'])): ?>
		
		<div class="Ausgabe">
		<?php 
			echo $_SESSION['kommentar'];
			unset ($_SESSION['kommentar']);
		?>
		</div>
		<?php endif; ?>

		<?php
			$result = $conn->query("SELECT * FROM kommentare_n ORDER BY id DESC") or die ($conn->error);
		?>

		<div class="Kommentarsektor">
		
			<h1>Kommentarbereich</h1>
			<br>
			
			<!-- Daten senden und aktualisieren -->
		
			<form action="n.php" method="post">
	
				<input type="hidden" name="id"
				value="<?php echo $id; ?>">
				
				<input type="text" name="name"
				value="<?php echo $name; ?>"  placeholder="Name oder Alias">
				<br>
				<input type="text" name="mail" 
				value="<?php echo $mail; ?>" placeholder="E-Mail">
				<br>
				<small>Die Angaben zur E-Mail-Adresse werden nicht veröffentlicht.</small>
				<br><br>
				<textarea name="kommentar" 
				value="<?php echo $kommentar; ?>" placeholder="Kommentar eingeben..."></textarea>
				<br>
		
				<?php
				if ($aktualisieren == true): #false == true
				?>
	
				<button type="submit" name="aktualisieren">Aktualisieren</button> 
				<?php else: ?>
				<button type="submit" name="speichern">Senden</button> 
				<?php endif; ?>

			</form>
			
		</div>
		<div class="Inhalte">
		
			<!-- Daten bearbeiten und löschen -->
		
			<table>
		
				<tr>
			
					<th>Name oder Alias</th>
					<th>Kommentar</th>
					<th>Datum</th>
					<th colspan="2">Optionen</th>
			
				</tr>
		
		<?php
			while ($row = $result->fetch_assoc()): ?>
				<tr>
					<td><?php echo$row['name']; ?></td>
					<td><?php echo$row['kommentar']; ?></td>
					<td><?php echo$row['datum']; ?></td>
					<td>
						<a href="nussecken.php?edit=<?php echo $row['ID']; ?>"> Bearbeiten </a> <!-- edit button -->
						<a href="n.php?delete=<?php echo $row['ID']; ?>"> Löschen </a> <!-- delete button -->
					</td>
				</tr>
		<?php endwhile; ?>
			
			</table>

		</div>

		<?php include("footer.php");
		?>

	</body>

</html>