<!DOCTYPE html>
<html lang="de">

	<head>

		<!-- Head besteht immer aus einem allgemeingültigen Teil (include) und einem auf die Seite ausgelegten Teil (description, keyword, title) -->

		<?php include("head.php");
		?>
		<meta name="description" content="Einfaches, schnell zuzubereitendes und leckeres Rezept für Schweineohren"/>
		<meta name="keyword" content="Schweineohren, Kleingebäck, palmiers, coeurs de France,"/>	

		<title>Schweineohren-Rezept</title>

	</head>

	<body>
	
		<?php include("navigation.php");
		?>
	
		<!-- Nach der Navigationsleiste folgt immer ein Bild oder Bilder/GIFs in einer Reihe -->	
		<!-- Nur die Seiten mit den Rezepten besitzen eine Beschriftung -->
		
		<figure>
		
			<img src="Schweineohren.jpg" alt="Bild von Schweineohren" width="100%" height="auto">
			<figcaption>Schweineohren</figcaption>
	
		</figure>

		<br>
		
	<div class="Teilung">	
	
		<aside>
	
			<!-- In einem Kasten (rechts neben der Zubereitung) lassen sich die Zutaten je nach abgefragter Stückzahl einsehen -->
	
			<form action="" method="GET" id="form">
		
				<input type="text" name="menge" placeholder="Stückzahl eingeben..." value="">
				
					<br><br>
					<tr>
					<td>Zubereitung auswählen:</td>
					<td><select name="zu">
						<option value="Teig">Teig</option>
						<option value="Glasur">Glasur</option>
					</select></td>
					</tr>
					<br><br>
			
				<button type="submit" name="abschicken">Abfragen</button>
				<br><br>
			
			</form>

			<?php
			$zubereitung = $_GET['zu'];

			#Teig
			if (isset ($_GET['zu']) && $zubereitung =="Teig") {
				$stückzahl = $_GET['menge'];
	
				$zucker = $stückzahl * (50/3);
				$salz = $stückzahl * (1/48);
				$blätterteig = $stückzahl * (125/3);
	
				echo "<br/>Die Zutaten für den Teig lauten:";
				echo "<br><br>".$zucker;
				echo "g <b>Zucker</b>";
				echo "<br>".$salz;
				echo "TL <b>Salz</b>";
				echo "<br>".$blätterteig;
				echo "g <b>Blätterteig</b>";
			}

			#Glasur
			else if (isset ($_GET['zu']) && $zubereitung =="Glasur") {
				$stückzahl = $_GET['menge'];
	
				$schokolade = $stückzahl * (40/3);
	
				echo "</br>Die Zutat für die Glasur lautet:";
				echo "<br><br>".$schokolade;
				echo "g <b>Schokoladenkuvertüre</b> (Zartbitter)";
			}

			else {
				echo "Es wurde keine Stückzahl angegeben.";
			}

			?>
	
		</aside>
		
		<!-- Zubereitung in Form einer Liste unterteilt in mehrere Schritte -->
		
		<ul class="Zubereitung">
		
			<h1>Zubereitung</h1>
			
			<br/>
			
			<li><i>Schritt 1</i>
			<br><br>
			<p>Für die Zubereitung des Teiges Zucker und Salz in einer kleinen Schüssel vermengen. 
			Eine kleine Menge dieser Masse auf eine saubere Arbeitsfläche streuen, den Blätterteig darauf ausrollen und anschließend leicht in die Masse drücken. 
			Der restlichen Zucker wird auf dem Teig verteilt und mit dem Nudelholz leicht in den Teig gepresst.</p>
			<br><br>
		
			<li><i>Schritt 2</i>
			<br><br>
			<p>Den Blätterteig ausgehend von der langen Seite von beiden Seiten bis zur Mitte aufrollen bis sich beide Hälften treffen. 
			Dann den Teig an den Rändern sachte zusammendrücken und in Frischhaltefolie einwickeln. 
			Für die weitere Verarbeitung wird der Teig für 30 Minuten im Kühlschrank ruhen gelassen.</p></li>
			<br><br>
			
			<li><i>Schritt 3</i>
			<br><br>
			<p>Die Schweineohren im vorgeheizten Backofen für 10 bis 15 Minuten bei 200°C (Umluft) auf der mittleren Schiene backen.
			Dafür den Teig in etwa 1cm dicke Scheiben schneiden und mit ausreichend Abstand zueinander platzieren, nach der Hälfte der Zeit die Schweineohren wenden. 
			Am Ende der Backzeit darauf achten, dass der Zucker nicht verbrennt.</p></li>
			<br><br>
			
			<li><i>Schritt 4</i>
			<br><br>
			<p>Nach dem Backen vollständig auskühlen lassen und die Bögen in geschmolzene Schokoladenkuvertüre tunken und auf einem Backpapier trocknen lassen.</p></li>
			<br><br>
			
		</ul>
	
	</div>
	
		<!-- Tabellarische Darstellung der Kommentare zu den einzelnen Rezepten mit Datenbankbezug (Daten speichern und wiedergeben) -->
	
		<?php require_once 's.php';?>

		<?php
			$result = $conn->query("SELECT * FROM kommentare_s ORDER BY id DESC") or die ($conn->error);
		?>

		<?php if (isset($_SESSION['kommentar'])): ?>
		
		<div class="Ausgabe">
		<?php 
			echo $_SESSION['kommentar'];
			unset ($_SESSION['kommentar']);
		?>
		</div>
		<?php endif; ?>

		<div class="Kommentarsektor">
		
			<h1>Kommentarbereich</h1>
			<br>
		
			<!-- Daten senden und aktualisieren -->
		
			<form action="s.php" method="post">
	
				<input type="hidden" name="id"
				value="<?php echo $id; ?>">
				
				<input type="text" name="name"
				value="<?php echo $name; ?>"  placeholder="Name oder Alias">
				<br>
				<input type="text" name="mail" 
				value="<?php echo $mail; ?>" placeholder="E-Mail">
				<br>
				<small>Die Angaben zur E-Mail-Adresse werden nicht veröffentlicht.</small>
				<br><br>
				<textarea name="kommentar" 
				value="<?php echo $kommentar; ?>" placeholder="Kommentar eingeben..."></textarea>
				<br>
		
				<?php
				if ($aktualisieren == true): #false == true
				?>
	
				<button type="submit" name="aktualisieren">Aktualisieren</button> 
				<?php else: ?>
				<button type="submit" name="speichern">Senden</button> 
				<?php endif; ?>

			</form>
			
		</div>
		<div class="Inhalte">
				
			<!-- Daten bearbeiten und löschen -->
		
			<table>
		
				<tr>
			
					<th>Name oder Alias</th>
					<th>Kommentar</th>
					<th>Datum</th>
					<th colspan="2">Optionen</th>
			
				</tr>
		
		<?php
			while ($row = $result->fetch_assoc()): ?>
				<tr>
					<td><?php echo$row['name']; ?></td>
					<td><?php echo$row['kommentar']; ?></td>
					<td><?php echo$row['datum']; ?></td>
					<td>
						<a href="schweineohren.php?edit=<?php echo $row['ID']; ?>"> Bearbeiten </a> <!-- edit button -->
						<a href="s.php?delete=<?php echo $row['ID']; ?>"> Löschen </a> <!-- delete button -->
					</td>
				</tr>
		<?php endwhile; ?>
			
			</table>

		</div>
		

		<?php include("footer.php");
		?>

	</body>

</html>