<!DOCTYPE html>
<html lang="de">

	<head>
		
		<!-- Head besteht immer aus einem allgemeingültigen Teil (include) und einem auf die Seite ausgelegten Teil (description, keyword, title) -->

		<?php include("head.php");
		?>
		<meta name="description" content="Einfaches, schnell zuzubereitendes und leckeres Rezept für Zimtschnecken"/>
		<meta name="keyword" content="Zimtschnecken, Feingebäck, Zuckerschnecke"/>	

		<title>Zimtschnecken-Rezept</title>

	</head>

	<body>
	
		<?php include("navigation.php");
		?>
		
		<!-- Nach der Navigationsleiste folgt immer ein Bild oder Bilder/GIFs in einer Reihe -->		
		<!-- Nur die Seiten mit den Rezepten besitzen eine Beschriftung -->
		
		<figure>
		
			<img src="Zimtschnecken.jpg" alt="Bild von Zimtschnecken" width="100%" height="auto">
			<figcaption>Zimtschnecken</figcaption>
	
		</figure>
		
		<br>

	<div class="Teilung">	
	
		<aside>
		
			<!-- In einem Kasten (rechts neben der Zubereitung) lassen sich die Zutaten je nach abgefragter Stückzahl einsehen -->
	
			<form action="" method="GET" id="form">
		
				<input type="text" name="menge" placeholder="Stückzahl eingeben..." value="">
				
					<br><br>
					<tr>
					<td>Zubereitung auswählen:</td>
					<td><select name="zu">
						<option value="Teig">Teig</option>
						<option value="Füllung">Füllung</option>
					</select></td>
					</tr>
					<br><br>
			
				<button type="submit" name="abschicken">Abfragen</button>
				<br><br>
			
			</form>

			<?php
			$zubereitung = $_GET['zu'];

			#Teig
			if (isset ($_GET['zu']) && $zubereitung =="Teig") {
				$stückzahl = $_GET['menge'];
	
				$milch = $stückzahl * 27;
				$butter1 = $stückzahl * 6;
				$mehl = $stückzahl * 50;
				$zucker1 = $stückzahl * 10;
				$vanillezucker = $stückzahl * (1/10);
				$salz = $stückzahl * (1/10);
				$hefe = $stückzahl * (1/20);
	
	
				echo "<br/>Die Zutaten für den Teig lauten:";
				echo "<br><br>".$milch;
				echo "ml <b>Milch</b>";
				echo "<br>".$butter1;
				echo "g <b>Butter</b>";
				echo "<br>".$mehl;
				echo "g <b>Mehl</b>";
				echo "<br>".$zucker1;
				echo "g <b>Zucker</b>";
				echo "<br>".$vanillezucker;
				echo " Paktet <b>Vanillezucker</b>";
				echo "<br>".$salz;
				echo " Prisen <b>Salz</b>";
				echo "<br>".$hefe;
				echo " Würfel <b>Hefe</b>";
			}

			#Füllung
			else if (isset ($_GET['zu']) && $zubereitung =="Füllung") {
				$stückzahl = $_GET['menge'];
	
				$butter2 = $stückzahl * 10;
				$zucker2 = $stückzahl * 7;
				$zimt = $stückzahl * (1/4);
	
				echo "</br>Die Zutaten für die Füllung lauten:";
				echo "<br><br>".$butter2;
				echo "g <b>weiche Butter</b>";
				echo "<br>".$zucker2;
				echo "g <b>Zucker</b>";
				echo "<br>".$zimt;
				echo "TL <b>Zimt</b>";
			}

			else {
				echo "Es wurde keine Stückzahl angegeben.";
			}

			?>
	
		</aside>
		
		<!-- Zubereitung in Form einer Liste unterteilt in mehrere Schritte -->

		<ul class="Zubereitung">
		
			<h1>Zubereitung</h1>
			
			<br/>
			
			<li><i>Schritt 1</i>
			<br><br>
			<p>Für die Zubereitung des Teiges die Milch mit Butter in einem Topf erwärmen. 
			Parallel dazu Mehl, Zucker, Vanillezucker und Salz in einer Schüssel vermengen, die Hefe nach und nach ergänzen. 
			Die Milch-Butter-Masse zu der Masse in die Schüssel geben und für etwa 5 Minuten mit dem Mixer (Knethaken) zu einem glatten Teig verrühren.</p>
			<br><br>
		
			<li><i>Schritt 2</i>
			<br><br>
			<p>Während der Teig für 45 Minuten zugedeckt ruht, wird eine runde Auflaufform (Ø 30cm) mit weicher Butter gefettet. 
			Anschließend den Teig auf einer mit Mehl bestreuten Arbeitsfläche durchkneten und zu einem Rechteck (40cm x 30cm) ausrollen.</p></li>
			<br><br>
			
			<li><i>Schritt 3</i>
			<br><br>
			<p>Für die Füllung die weiche Butter aufschlagen und Zucker sowie Zimt hinzufügen. 
			Dann die Zimt-Butter-Masse dünn auf das Rechteck streichen, dabei einen etwa 1cm dicken Rand zu allen Seiten freilassen. 
			Dem folgend den Teig von der langen Seite aus aufrollen.</p></li>
			<br><br>
			
			<li><i>Schritt 4</i>
			<br><br>
			<p>Den Teig mit einem scharfen Messer in etwa 1cm dicke Scheiben schneiden und die einzelnen Scheiben in die Form legen. 
			Diese dann zugedeckt für 10 bis 30 Minuten ruhen lassen.</p></li>
			<br><br>
			
			<li><i>Schritt 5</i>
			<br><br>
			<p>Die Zimtschnecken im vorgeheizten Backofen für etwa 20 Minuten bei 175°C (Umluft) auf der mittleren Schiene backen. 
			Anschließend vollständig auskühlen lassen.</p></li>
			<br><br>
		
		</ul>
	
	</div>

		<!-- Tabellarische Darstellung der Kommentare zu den einzelnen Rezepten mit Datenbankbezug (Daten speichern und wiedergeben) -->
	
		<?php require_once 'z.php';?>

		<?php
			$result = $conn->query("SELECT * FROM kommentare_z ORDER BY id DESC") or die ($conn->error);
		?>

		<?php if (isset($_SESSION['kommentar'])): ?>
		
		<div class="Ausgabe">
		<?php 
			echo $_SESSION['kommentar'];
			unset ($_SESSION['kommentar']);
		?>
		</div>
		<?php endif; ?>

		<div class="Kommentarsektor">
		
			<h1>Kommentarbereich</h1>
			<br>
			
			<!-- Daten senden und aktualisieren -->
		
			<form action="z.php" method="post">
	
				<input type="hidden" name="id"
				value="<?php echo $id; ?>">
				
				<input type="text" name="name"
				value="<?php echo $name; ?>"  placeholder="Name oder Alias">
				<br>
				<input type="text" name="mail" 
				value="<?php echo $mail; ?>" placeholder="E-Mail">
				<br>
				<small>Die Angaben zur E-Mail-Adresse werden nicht veröffentlicht.</small>
				<br><br>
				<textarea name="kommentar" 
				value="<?php echo $kommentar; ?>" placeholder="Kommentar eingeben..."></textarea>
				<br>
		
				<?php
				if ($aktualisieren == true): #false == true
				?>
	
				<button type="submit" name="aktualisieren">Aktualisieren</button> 
				<?php else: ?>
				<button type="submit" name="speichern">Senden</button> 
				<?php endif; ?>

			</form>
			
		</div>
		<div class="Inhalte">

			<!-- Daten bearbeiten und löschen -->
		
			<table>
		
				<tr>
			
					<th>Name oder Alias</th>
					<th>Kommentar</th>
					<th>Datum</th>
					<th colspan="2">Optionen</th>
			
				</tr>
		
		<?php
			while ($row = $result->fetch_assoc()): ?>
				<tr>
					<td><?php echo$row['name']; ?></td>
					<td><?php echo$row['kommentar']; ?></td>
					<td><?php echo$row['datum']; ?></td>
					<td>
						<a href="zimtschnecken.php?edit=<?php echo $row['ID']; ?>"> Bearbeiten </a> <!-- edit button -->
						<a href="z.php?delete=<?php echo $row['ID']; ?>"> Löschen </a> <!-- delete button -->
					</td>
				</tr>
		<?php endwhile; ?>
			
			</table>

		</div>
		
		<?php include("footer.php");
		?>

	</body>

</html>